package com.myapp.wicket;

import java.util.ArrayList;
import java.util.List;

public class Database {

    private static final String COUNTRIES = "USA,United States of America,D,Germany,F,France,GB,Great Britain";
    private static final String CITIES = "USA,NY,New York,USA,CL,Cleveland,USA,AU,Austin,USA,LA,Los Angeles,D,BE,Berlin,D,BO,Bonn,F,PA,Paris,F,NI,Nice,GB,LO,London,GB,GL,Glasgow,GB,LI,Liverpool";
    //   NEW
    private static final String TOWNS = "USA,NY,BR,TOWN BR NEW YORK,USA,NY,CR,TOWN CR NEW YORK,USA,CL,DR,TOWN DR Cleveland,USA,CL,FR,TOWN FR Cleveland,USA,AU,GR,TOWN GR Austin,USA,AU,HR,TOWN HR Austin,USA,LA,IR,TOWN IR Los Angeles,USA,LA,JR,TOWN JR Los Angeles,D,BE,KR,TOWN KR Berlin,D,BE,LR,TOWN LR Berlin,D,BO,MR,TOWN MR Bonn,D,BO,NR,TOWN NR Bonn,F,PA,OR,TOWN OR Paris,F,PA,PR,TOWN PR Paris,F,NI,QR,TOWN QR Nice,F,NI,RR,TOWN RR Nice,GB,LO,SR,TOWN SR London,GB,LO,TR,TOWN TR London,GB,GL,UR,TOWN UR Glasgow,GB,GL,VR,TOWN VR Glasgow,GB,LI,WR,TOWN WR Liverpool,GB,LI,XR,TOWN XR Liverpool";
   //   END NEW
    public static List<Country> getCountries() {
        List<Country> countries = new ArrayList<Country>();

        String[] parts = COUNTRIES.split(",");
        for (int i = 0; i < parts.length / 2; i++) {
            Country country = new Country(parts[i * 2], parts[i * 2 + 1]);
            countries.add(country);
        }
        return countries;
    }

    public static List<City> getCities(String countryCode) {
        List<City> cities = new ArrayList<City>();
        String[] parts = CITIES.split(",");
        for (int i = 0; i < parts.length / 3; i++) {
            String code = parts[i * 3];
            if (code.equals(countryCode)) {
                City city = new City(parts[i * 3 + 1], parts[i * 3 + 2]);
                cities.add(city);
            }
        }
        return cities;
    }
    
    //  NEW
        public static List<Town> getTowns(String countryCode,String cityCode) {
        List<Town> towns = new ArrayList<Town>();
        String[] parts = TOWNS.split(",");
        for (int i = 0; i < parts.length / 4; i++) {
            String code = parts[i * 4];
            String codeCity=parts[i * 4+1];
            System.out.println(parts[i * 4 + 2]+" y "+parts[i * 4 + 3]);
            if (code.equals(countryCode)&&codeCity.equals(cityCode)) {
                Town town = new Town(parts[i * 4 + 2], parts[i * 4 + 3]);
                towns.add(town);
                System.out.println("Encontro a "+town.getCode()+"  "+town.getName());
            }
        }
        return towns;
    }
        
     //   END NEW
}
